MCP Tools Reference: slidesmcp.googleapis.com

Araç: read_presentation

Google Slaytlar sunusunun JSON gösterimini okuma

REST API'de presentations.get'ye karşılık gelir.

Aşağıdaki örnekte, read_presentation MCP aracını çağırmak için curl simgesinin nasıl kullanılacağı gösterilmektedir.

Curl İsteği
curl --location 'https://slidesmcp.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "read_presentation",
    "arguments": {
      // provide these details according to the tool MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Giriş Şeması

Sunuyu okuma isteğinde bulunma

ReadPresentationRequest

JSON gösterimi
{
  "presentationId": string
}
Alanlar
presentationId

string

Zorunlu. İçeriğin okunacağı sunumun kimliği.

Çıkış Şeması

Sununun JSON gösterimini içeren yanıt.

ReadPresentationResponse

JSON gösterimi
{
  "content": string
}
Alanlar
content

string

Google Slaytlar sunusunun JSON gösterimi.

Araç Ek Açıklamaları

Yıkıcı İpucu: ❌ | İdempotent İpucu: ✅ | Salt Okunur İpucu: ✅ | Açık Dünya İpucu: ✅